"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const TestServer_1 = require("../TestServer");
const services = require("../services");
const chai_1 = require("chai");
describe('Default Admin Created', function () {
    let server;
    let usernamePasswordAuthService;
    before(() => __awaiter(this, void 0, void 0, function* () {
        server = new TestServer_1.TestServer();
        usernamePasswordAuthService = new services.UsernamePasswordAuthService();
        server.addService(usernamePasswordAuthService);
        server.addService(new services.RealmDirectoryService());
        server.addService(new services.SyncProxyService());
        server.addService(new services.SyncService());
        yield server.start();
    }));
    after(() => __awaiter(this, void 0, void 0, function* () {
        yield server.shutdown();
    }));
    it('should create realm-admin upon autokeygen', function () {
        return __awaiter(this, void 0, void 0, function* () {
            const realmAdminUser = usernamePasswordAuthService.getUserByProviderId('realm-admin', "password");
            chai_1.expect(realmAdminUser).to.not.be.undefined;
            chai_1.expect(realmAdminUser.userId).not.to.eq('realm-admin');
            chai_1.expect(realmAdminUser.accounts.length).to.eq(1);
            chai_1.expect(realmAdminUser.accounts[0].providerId).to.eq('realm-admin');
            chai_1.expect(realmAdminUser.isAdmin).to.be.true;
            const loggedInUser = yield usernamePasswordAuthService.attemptToLogin('realm-admin', '');
            chai_1.expect(loggedInUser.userId).not.to.eq('realm-admin');
            chai_1.expect(loggedInUser.providerId).to.eq('realm-admin');
            chai_1.expect(loggedInUser.provider).to.eq('password');
            chai_1.expect(loggedInUser.isAdmin).to.true;
        });
    });
});
//# sourceMappingURL=default-admin-integration-tests.spec.js.map