/// <reference types="node" />
import { AuthService, ResolvedUser } from './AuthService';
import { Server } from "../Server";
export declare const UsernamePasswordConstants: {
    saltWorkIterations: number;
    keyLength: number;
    saltLength: number;
    digest: string;
};
export declare class UsernamePasswordAuthService extends AuthService {
    private syncedPasswordRealm;
    private readonly passwordRealm;
    start(server: Server): Promise<void>;
    changePassword(newPassword: string, userId: string, req?: any): Promise<{}>;
    stop(): Promise<void>;
    hashPassword(clearTextPassword: string, salt: Buffer): Promise<Buffer>;
    createSalt(saltWorkFactor: number): Promise<Buffer>;
    comparePassword(candidatePassword: string, salt: Buffer, hash: Buffer): Promise<boolean>;
    attemptToRegister(username: string, password: string, isAdmin?: boolean): Promise<ResolvedUser>;
    attemptToLogin(username: string, password: string): Promise<ResolvedUser>;
    authenticateOrCreateUser(body: any): Promise<ResolvedUser>;
}
